@if (visible) {
  <div
    [className]="
      (active$ | async)
        ? 'container container-active'
        : 'container container-inactive'
    "
    [attr.data-test-anchor-link-id]="id"
    (click)="makeActive()"
  >
    <i
      nz-icon
      [nzType]="iconName"
      nzTheme="outline"
      class="navigation-icon-size"
    ></i>
    <ng-content></ng-content>
  </div>
}
